FULLCYCLES=1
MEMSIZE=$((256*1024))
DEFAULTSIZE=$(($MEMSIZE/4))

cc_bench() {
	MUL=$1
	(cd compcache && sh use_compcache.sh $(($DEFAULTSIZE*$MUL))
	sh benchmarkset.sh C"$MUL"
	(cd compcache && sh unuse_compcache.sh)
}

fc=1
while [ $fc -le $FULLCYCLES ]
do
	swapon -a
	benchmarkset.sh HDD
	apoff -a
	sh benchmarkset.sh NONE
	cc_bench 1
	cc_bench 2
	cc_bench 3
	cc_bench 4
	cc_bench 5
	cc_bench 6
done
 | tee -a benchmark.log
